package com.changhong.epc.count.service.count.performer;

import com.changhong.epc.constter.count.nomr.CountResultKey;
import com.changhong.epc.count.service.count.data.condition.ICountConditionIter;
import com.changhong.epc.count.service.count.data.paramiter.IParamIter;
import com.changhong.epc.count.service.count.model.CountResultLast;

/**
 * 计算执行器
 * @ClassName: ICountPerformer
 * @author [九鼎联合科技]
 * @date 2017年8月30日 下午9:37:56
 */
// R 返回值
// A 条件
// T 参数类型
public interface ICountPerformer<R, A, S, T> extends CountResultKey {
	
	/**
	 * set 参数迭代器
	 * @param inter
	 */
	public void setIParamIter(IParamIter<T> inter);
	
	/**
	 * 执行计算计算费用
	 * @return
	 */
	public CountResultLast execute();	
	
	/**
	 * 获取参数迭代器
	 * @return
	 */
	public IParamIter<T> getIParamIter();
	
	/**
	 * set 补助标准迭代器
	 * @param parm
	 */
	public void setICountConditionIter(ICountConditionIter<A, S, T> parm);
	
	/**
	 * 
	 * @return
	 */
	public ICountConditionIter<A, S, T> getICountConditionIter();
	
	public R getResture();
	
	
}
