package com.changhong.epc.count.service.count.performer.impl;

import com.changhong.epc.count.service.count.logic.ICountLogic;
import com.changhong.epc.count.service.count.logic.impl.PublicCorrencyCountLogic;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;


/**
 * 计算费用执行器（多币种）
 */
@Slf4j
@Service("publicCorrencyCountPerformer")
@Scope("prototype")
public class PublicCorrencyCountPerformer extends CountPerformer {

    @Override
    protected ICountLogic getICountLogic() {
        return new PublicCorrencyCountLogic();
    }
}
