package com.changhong.epc.count.service.system.func.set.norm;

import com.changhong.epc.count.service.tool.SystemFunTool;
import com.googlecode.aviator.runtime.type.AviatorDouble;
import com.googlecode.aviator.runtime.type.AviatorObject;
import com.googlecode.aviator.runtime.type.AviatorString;
import com.iemsoft.framework.cloud.core.tools.ObjectUtil;

import java.util.Arrays;
import java.util.Map;

/**
 * 根据条件获得主数据值 如匹配多条则返回首条
 *
 * @author wangZX
 *
 */
public class GetValDouble extends GetValString {

	public AviatorObject allParam(Map<String, Object> env, AviatorObject... args){
		String val = exeFunc(Arrays.asList(args),env);
		if(ObjectUtil.empty(val)){
			return new AviatorString("");
		}
		return new AviatorDouble(SystemFunTool.getNumber(val));
	}

	@Override
	public String getName() {
		return FUNC_GET_VAL_DOUBLE;
	}


}
