package com.changhong.epc.count.service.system.performer;

import com.changhong.epc.bean.tenant.system.ErrSystemMsg;
import com.changhong.epc.count.service.system.performer.impl.FunctionParam;

import java.util.List;

/**
 * 系统变量执行器
 * @author wangZX
 *
 */
public interface IFormulaHandle {
	
	/**
	 * 执行  系统变量
	 * @param param
	 * @return
	 */
	Object execute(FunctionParam param);
	
	/**
	 * 返回值
	 * @param c
	 * @return
	 */
	<T> T  result(Class<T> c);
	
	
	Object exeResult(Object execute, String formula);
	
	/**
	 * 返回 Boolean 
	 * @param execute
	 * @return
	 */
	Boolean resultBoolean(Object execute);
	
	/**
	 * 返回 Double类型
	 * @param execute
	 * @return
	 */
	Double resultDouble(Object execute);

	/**
	 * 获得错误信息
	 * @return
	 */
	List<ErrSystemMsg> getErrSystemMsgs();
}
