package com.changhong.epc.count;

import com.changhong.epc.constter.system.SystemClients;
import com.changhong.epc.constter.system.run.EpcApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication(exclude = {
        DataSourceAutoConfiguration.class
})
@SpringCloudApplication
@ComponentScan(basePackages={"com.changhong.epc", "com.iemsoft.framework.cloud"})
public class CountApplication implements SystemClients{

	public static void main(String[] args) {
		new EpcApplication(SERVER_COUNT, CountApplication.class).run(args);
	}

}
