package com.changhong.epc.count.controller.system.func;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.changhong.epc.bean.count.func.FunctionInfo;
import com.changhong.epc.constter.count.nomr.CountUrlConst;
import com.changhong.epc.count.service.system.func.FunRegister;

@RestController
public class FunctionController implements CountUrlConst {
	
	@Autowired
	private FunRegister funRegister;
	
	/**
	 * 返回所有系统变量   (树形)
	 * @return
	 */
	@RequestMapping(value=SYSTEM_FUNC_ALL, method={RequestMethod.OPTIONS, RequestMethod.POST})
	public Map<String,List<FunctionInfo>> getFunction() {
		return funRegister.getFuncList();
	}
}
