package com.changhong.epc.count.mapper.tenant.system;

import org.apache.ibatis.annotations.Param;

import com.changhong.epc.bean.count.system.SystemMath;
import com.changhong.epc.bean.count.system.SystemMathExtend;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;
/** 
 * 系统函数公式配置表
 * @ClassName: SystemMathMapper
 * @author [九鼎联合科技] 
 * @date 2017年09月26日 上午11:34:10
 */
public interface SystemMathMapper extends MybatisBaseMapper<SystemMath>{
	
	/**
	 * 查询系统函数
	 * @param mid
	 * @return
	 */
	SystemMathExtend selectSystemSystemMathExtendById(@Param("mid") int mid);

	/**
	 * 查询报销次数
	 */
	Integer selectCountBudget(@Param("formName") String formName
			, @Param("man") String man
			, @Param("number")Object number
			, @Param("numberKey")Object numberKey
			, @Param("date") String date);
}