package com.changhong.epc.count.service.count.data.tool;

import java.util.Map;
import java.util.Set;

import com.changhong.epc.bean.count.MasterInfo;
import com.changhong.epc.bean.tenant.bill.IOCRBill;
import com.changhong.epc.bean.tenant.master.MasterEleValue;

/**
 *  添加行程相关主数据
 * @param
 */
public interface ICorrelMaster<T> {

	Set<MasterInfo> addEachUnitMd(T unitInfo);
	
	/**
	 * 添加票据相关主数据
	 * @param bill
	 */
	Set<MasterInfo> addEachBillMd(IOCRBill bill);

	/**
	 * 获得关联主数据信息
	 * @param masterInfos
	 * @return
	 */
	Map<MasterEleValue, MasterEleValue> getJoinMasterInfos(Set<MasterEleValue> masterInfos);
}
