package com.changhong.epc.count.service.count.logic;

import com.changhong.epc.bean.tenant.norm.extend.AppStanderExtend;
import com.changhong.epc.bean.tenant.norm.extend.SuppStanderExtend;
import com.changhong.epc.constter.count.nomr.CountCoreKey;
import com.changhong.epc.count.service.count.data.condition.ICountConditionIter;
import com.changhong.epc.count.service.count.data.paramiter.IParamIter;
import com.changhong.epc.count.service.count.model.CountResult;
import com.changhong.epc.count.service.count.model.UnitInfo;

/**
 * 计算费用复杂逻辑计算
 * @ClassName: ICountLogic
 * @author [九鼎联合科技]
 * @date 2017年8月31日 下午11:09:31
 */
public interface ICountLogic extends CountCoreKey {
	
	/**
	 * 费用计算；逻辑
	 * @param iparm
	 * @param icountCondition
	 * @return
	 */
	CountResult countLogic(IParamIter<UnitInfo> iparm,
			ICountConditionIter<AppStanderExtend, SuppStanderExtend, UnitInfo> icountCondition);

	/**
	 * 获得空的返回值
	 * @return
	 */
	CountResult getEmptyResult();

}
