package com.changhong.epc.count.service.count.logic;

import java.util.List;
import java.util.Map;

import com.changhong.epc.constter.count.nomr.CountResultKey;
import com.changhong.epc.count.service.count.model.AmountKey;
import com.changhong.epc.count.service.count.model.CountResultExtend;

/**
 * 计算费用后处理
 * @author jksk
 *
 */
public interface ILastMoneyCount extends CountResultKey {
	
	/**
	 * 对结果 数据进行统一封装处理
	 * @Title: max
	 * @param @param amountLastCount
	 * @param @param resultMoney
	 * @param @return    设定文件
	 * @return List<Map<String,Object>>    返回类型
	 * @throws
	 */
	List<CountResultExtend>  count(
				Map<AmountKey, String> amountLastCount,
				List<CountResultExtend> resultMoney);
	
}
