package com.changhong.epc.count.service.count.model;

import com.changhong.epc.bean.count.msg.AppStanderMsg;
import com.changhong.epc.bean.tenant.norm.way.Way;
import lombok.Data;

import java.util.List;

/**
 * 计算返回结果
 * @author admin
 *
 */
@Data
public class CountResult {
	
	/**
	 * 票据金额
	 */
	private Double billMoney;

	/**
	 * 票据唯一标示
	 */
	private String billCode;
	
	
	/**
	 * 记录
	 */
	private CountRecord countRecord;
	
	private Double recordNormMoney;
	
	/**
	 * 费用类型name
	 */
	private String name;
	
	/**
	 * 票据必须
	 */
	private Integer billMust;
	
	/**
	 * 费用类型code
	 */
	private String jpCdCode;
	
	/**
	 * 费用金额
	 */
	private Double jpAmount;

	/**
	 * 标准金额
	 */
	private Double sAmount;

	/**
	 * 报销方式
	 */
	private Way way;

	/**
	 * 错误信息
	 */
	private List<AppStanderMsg> errorMsg;
	/**
	 * 主数据缺少错误信息
	 */
	//private  Set<BillErrMsg> masterErrMsg;
	/*
	 * 出发时间- 日
	 */
	private String formDay;
	
	/*
	 * 
	 */
	private String ssId;
	
	/**
	 * 行程id
	 */
	private String unitId;
}
