package com.changhong.epc.count.service.count.model;

import com.changhong.epc.bean.tenant.bill.IOCRBill;
import com.changhong.epc.count.service.count.data.paramiter.IParamIter;
import lombok.Data;

import java.util.List;
import java.util.Set;

@Data
public class CountResultLast {

    /**
     * 标准信息
     */
    private List<CountResultExtend> eachMoney;

	/**
     * 无行程票据金额
     */
	private Double noJoinBillMoney;

	/**
	 * @Author WangYX
	 * @Description 无行程票据信息
	 * @Date 2019/1/16 下午3:41
	 */
	private Set<IOCRBill> noJoinBill;

	/**
     * 计算费用行程参数
     */
	private IParamIter<UnitInfo> iParamIter;

	/**
	 * 主数据缺失
	 */
	private List<String> masterDeficiency;

}
