package com.changhong.epc.count.service.exception;

import com.changhong.epc.bean.tenant.system.ErrSystemMsg;

/**
 * 主数据缺失异常类
 */
public class IEMRuntimeMasterException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	private ErrSystemMsg errSystemMsg;
	
	public IEMRuntimeMasterException(ErrSystemMsg errSystemMsg) {
		this.errSystemMsg = errSystemMsg;
	}

	
	public ErrSystemMsg getErrSystemMsg(){
		return errSystemMsg;
	}
}
