package com.changhong.epc.count.service.system.func.set.basic;

import com.changhong.epc.count.service.system.func.set.AbsFuncSupper;
import com.changhong.epc.count.service.tool.SystemFunTool;
import com.googlecode.aviator.runtime.type.AviatorObject;

import java.util.Map;

/**
 * 四舍五入
 * @author wangZX
 *
 */
public class RoundIntegerFuntion extends AbsFuncSupper {

	@Override
	public AviatorObject call(Map<String, Object> env, AviatorObject arg1) {
		return getAviatorLong(
				new Double(Math.round(SystemFunTool.getNumberVal(arg1, env).doubleValue())).longValue());
	}
	
	@Override
	public String getName() {
		return FUNC_BASIC_GET_ROUND;
	}

}
